Package org.apache.sling.testing.junit.rules.instance

## Class ExistingInstance

- java.lang.Object
- - org.apache.sling.testing.junit.rules.instance.AbstractInstance
  - - org.apache.sling.testing.junit.rules.instance.ExistingInstance

All Implemented Interfaces:
  `BuilderCustomizer`, `Instance`, `org.junit.rules.TestRule`

    public class ExistingInstance
    extends AbstractInstance

### Constructor Summary

Constructors
`ExistingInstance()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.junit.runners.model.Statement` `apply​(org.junit.runners.model.Statement base, org.junit.runner.Description description)`
`org.apache.sling.testing.clients.instance.InstanceConfiguration` `getConfiguration()`
`Instance` `orDefault​(org.apache.sling.testing.clients.instance.InstanceConfiguration instanceConfiguration)`
`Instance` `withRunMode​(String runMode)`

### Methods inherited from class org.apache.sling.testing.junit.rules.instance.AbstractInstance

`customize, getAdminClient, getAdminClient, getBuilder, getClient, newAdminClient, newClient`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExistingInstance

    public ExistingInstance()

### Method Detail

#### withRunMode

    public Instance withRunMode​(String runMode)

#### orDefault

    public Instance orDefault​(org.apache.sling.testing.clients.instance.InstanceConfiguration instanceConfiguration)

#### getConfiguration

    public org.apache.sling.testing.clients.instance.InstanceConfiguration getConfiguration()

#### apply

    public org.junit.runners.model.Statement apply​(org.junit.runners.model.Statement base,
                                                   org.junit.runner.Description description)